How can I set my dimension text to match my Layout view? Because of the orientation of my drawing, I am rotating the viewport model with UCS->Object->Plan->Current UCS. Then my dimension text rotates also. I don't want that. I want it to be Horizontal, just like in model space. Can you help me please? I am attaching photos to understand me correctly. Thank you!
PS: Notice how the alignment curve label keeps the same orientation, I want to do that with my dimension text.
Solved! Go to Solution.
Solved by MMcCall402. Go to Solution.
Joe Bouza
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.
I've been using a Lisp I picked up years ago for resetting dimensions that were created before the view or UCS were set.
The name of it is DIMROT. Contents i=of the lisp listed below.
(defun c:dimrot (/ ent data)
(setvar "ERRNO" 0)
(while (or (setq ent (entsel "\nSelect Dimension: "))
(EQ 7 (GETVAR "errno"))
)
(if ent
(progn
(setq data (entget (car ent)))
(if (= (cdr (assoc 0 data)) "DIMENSION")
(entmod (subst (cons 51 (GETVAR "VIEWTWIST")) (assoc 51 data) data))
(princ "\nSelected Object is not a DIMENSION.")
)
)
)
(setvar "ERRNO" 0)
)
(princ)
)
Thank you, this works perfectly but do I have to click every dimension manualy? I can't seem to find a way to rotate all dimensions at once.
Hi @Anonymous
Another possible solution to setting your dimension text to match your viewport when rotation your UCS view is to change your text style to using annotative text in your dimension style.
By using the annotative text, you can set the orientation always to match the viewport. Just use the annotative text style in your dimension style. All dimensions using that style would be updated.
Hope this helps!
Please select the Accept as Solution button if my post solves your issue or answers your question. This lets me know that I was useful in helping you, and thank you for doing so.
Hi @Anonymous
Please add a post with how you decide to proceed and your results so other Community members may benefit.
Please hit the Accept as Solution button if a post or posts solve your issue or answer your question.
Thank you for doing so.
Hi @Anonymous
I just wanted to follow-up here, any thoughts on the previous post?
Thanks for the update!
Hi @Anonymous
I'm just checking in to see if you need more help with this. Did the suggestion that @MMcCall402 provided work for you?
If so, please click Accept as Solution on the posts that helped you so others in the community can find them easily.
Hi,
I was looking for this. This is the only thread, that is discussing what I need to solve.
I managed to adjust "normal" text to match the viewport (mtext as annotative with the setting match the viewport).
I want to do this with dimension texts.
But when i set text in dimension style to annotative and to match the layout (according to the setting in previous post), then it is not working. The dimension text is matching only the ucs I used when creating the dimension.
Is there a way to match the dimension text to viewport orientation and not to follow ucs ?
I am working in Autocad LT 2018 though.
It seems that the annotation "match orientation to layout" properties of the text style do not carry through when that text style is set when editing a dimension style. The dimension text does remains the same if the text style has its orientation set to view check box checked or not.
Unfortunately, this doesn't work. Not even when the dimension style is preset.
@BushWwrote:Hi @Anonymous
Another possible solution to setting your dimension text to match your viewport when rotation your UCS view is to change your text style to using annotative text in your dimension style.
By using the annotative text, you can set the orientation always to match the viewport. Just use the annotative text style in your dimension style. All dimensions using that style would be updated.
Hope this helps!
Please select the Accept as Solution button if my post solves your issue or answers your question. This lets me know that I was useful in helping you, and thank you for doing so.
Here is an extremely dirty and quick way to do it.
Create your dimensions and text boxes in model space. Copy each one. Explode the copies. Keep just the text boxes from the copied, exploded version.
Go to paperspace and unrotate your viewports (so the dimensions are all upright). Use CHSPACE to bring the text boxes from model to paper. Rotate the viewports as you want.
Go back into Model space and either explode the original dimension text boxes again to remove them or get rid of all the text (you will use the text in paper space and the dimension lines in model space) to fudge what you want them to look like.
This is only viable if the dims are set in stone since exploding them removes the usability - they just become labels in essence.
Like I said ms should match.
You can avoid all of this by locking the vport, poke into and annotate thru the vport
Joe Bouza
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.
@Anonymous, this is an older post and I am late in responding. Unfortunately, I do not have a solution.
This is my observation and opinion. Others may think differently.
You have received a number of replies and good information here in the Civil 3D forum, but I think this discussion belongs in the AutoCAD forum:
Good Luck!
Christopher Stevens
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.
Can't find what you're looking for? Ask the community or share your knowledge.